Package opennlp.tools.langdetect

## Class LanguageDetectorConfig

- java.lang.Object
- - opennlp.tools.langdetect.LanguageDetectorConfig

-     public class LanguageDetectorConfig
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_CHUNK_SIZE` |
    `static LanguageDetectorConfig` | `DEFAULT_LANGUAGE_DETECTOR_CONFIG` |
    `static int` | `DEFAULT_MAX_LENGTH` |
    `static int` | `DEFAULT_MIN_CONSEC_IMPROVEMENTS` |
    `static double` | `DEFAULT_MIN_DIFF` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LanguageDetectorConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getChunkSize()` | After processing a chunk of this size, the probing detection will compute probabilities and determine if there is enough confidence to stop.
    `int` | `getMaxLength()` |
    `int` | `getMinConsecImprovements()` | If this value equals `0`, probing detection will rely solely on `getMinDiff()`
    `double` | `getMinDiff()` | If this value equals `0`, probing detection will rely solely on `getMinConsecImprovements()`
    `void` | `setChunkSize​(int chunkSize)` |
    `void` | `setMaxLength​(int maxLength)` |
    `void` | `setMinConsecImprovements​(int minConsecImprovements)` |
    `void` | `setMinDiff​(double minDiff)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_LENGTH

          public static final int DEFAULT_MAX_LENGTH

      See Also:
        Constant Field Values

    - #### DEFAULT_CHUNK_SIZE

          public static final int DEFAULT_CHUNK_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_CONSEC_IMPROVEMENTS

          public static final int DEFAULT_MIN_CONSEC_IMPROVEMENTS

      See Also:
        Constant Field Values

    - #### DEFAULT_MIN_DIFF

          public static final double DEFAULT_MIN_DIFF

      See Also:
        Constant Field Values

    - #### DEFAULT_LANGUAGE_DETECTOR_CONFIG

          public static final LanguageDetectorConfig DEFAULT_LANGUAGE_DETECTOR_CONFIG

  - ### Constructor Detail

    - #### LanguageDetectorConfig

          public LanguageDetectorConfig()

  - ### Method Detail

    - #### getMaxLength

          public int getMaxLength()

      Returns:
        The maximum length in codepoints of text to process.

    - #### setMaxLength

          public void setMaxLength​(int maxLength)

    - #### getChunkSize

          public int getChunkSize()

      After processing a chunk of this size, the probing detection will compute probabilities and determine if there is enough confidence to stop.
      Returns:
        The size in codepoints of chunk to process at each step for the probing detection.

    - #### setChunkSize

          public void setChunkSize​(int chunkSize)

    - #### getMinConsecImprovements

          public int getMinConsecImprovements()

      If this value equals `0`, probing detection will rely solely on `getMinDiff()`
      Returns:
        The minimum number of consecutive increased probabilities for the top language required in probing detection to stop early.

    - #### setMinConsecImprovements

          public void setMinConsecImprovements​(int minConsecImprovements)

    - #### getMinDiff

          public double getMinDiff()

      If this value equals `0`, probing detection will rely solely on `getMinConsecImprovements()`
      Returns:
        The minimum difference in confidence between the top predicted language and the next most likely language.

    - #### setMinDiff

          public void setMinDiff​(double minDiff)